sc::Identifier(3)

NAME
sc::Identifier - Identifier's are used to distinguish and order objects.

SYNOPSIS

#include <identity.h>

  Public Methods
Identifier ()
Create an Identifier for a null object.
Identifier (const Identity *i)
Create an Identifier for the given object.
Identifier (const Identifier &i)
Create an Identifier for the given object.
~Identifier ()
The destructor does nothing.
void operator= (const Identifier &i)
Assign to the given Identifier.
int operator< (const Identifier &i) const
Less than.
int operator> (const Identifier &i) const
Greater than.
int operator== (const Identifier &i) const
Equal.
int operator<= (const Identifier &i) const
Less than or equal.
int operator>= (const Identifier &i) const
Greater than or equal.
int operator!= (const Identifier &i) const
Not equal.
void print (std::ostream &) const

DETAILED DESCRIPTION

Identifier's are used to distinguish and order objects.

On many architectures a pointer to the object will suffice, but the C++ standard only guarantees that this works for two pointers pointing within the same structure or array. Classes need to inherit from Identity to use this mechanism. Identity, Identifier, and the shorthand boolean operations may have to be modified for certain architectures.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.